Easy RPG Creator for Stencyl 3.0 (ALPHA V0.3.4)

axg

  • Posts: 5
Siren Games, thank you for the continued development! This looks great.

Siren Games

  • *
  • Posts: 102
Hey guys, just a little update on the ERC status.

Over the holidays we've been working here and there on ERC and we are hoping for a new update by the end of January.  We don't want to make any promises as we're both trying to make ends meet and it's not easy to make money doing what you love, especially when what you love is making indie games, as I'm sure you can relate to.  Because of this we're spreading our resources very thin trying to finish projects and such. 

Transparent financial stuff:
Unfortunately, ERC hasn't been a top priority since we realized that we have to pay bills and it won't ever help us do that.  We've earned less than $10 through Adfly since our original post regardless of it's huge popularity through Twitter and here on the Stencyl forums.  Because of this disappointing news I've given the option for a direct download of the last stable release to start cutting Adfly out entirely.  It's available in the original post just below the adfly link, which you can still use if you want to toss us about a 100th of a penny for our hard work.

I've also posted a link to our Paypal donation page in case you'd like to donate a bit more than what Adfly can. We believe in this extension and we truly want to bring it to everyone we can, regardless of whether it pays our internet bills or not.  But life doesn't care much for good intentions, so ERC is currently on our backburner until we are more established.

We hope you all had happy holidays and a good new year!  Here's to a new year's resolution of releasing a new version of ERC for the Stencyl community!

vladikdemon

  • Posts: 2
Hello from stencyl  version 3.3 and higher the kit does not work all the behaviors have some kind of problem when you test the game :
"Database Information Loader: Unknown identifier : setGameAttribute
   from scripts.Design_1_1_DatabaseInformationLoader
   line: 86
   columns: 8-24"
this is only one bug of 90 that all from the same kind but goes for anther functions.
At stencyl 3.4 the kit work just fine but when the extension of the easy rpg database is enabled you cant get to the settings icon in stencyl with the error "Oh it should not happen please connect... etch".
So maybe you can help me with some sort of solution or if you know about some update coming for the erc?
Thanks in advance :)

rmoffitt

  • Posts: 8
I was able to install old Stencyl 3.1 in parallel, and use that for the database side of things, and work on the game in 3.4.
Here is how I have been working with it:

I have 2 projects. For example, ERC Kit, and MyGame.
Work on database stuff in ERC kit in Stencyl 3.1.
When you save changes in the db window, it puts the data into the text files in extras/ERC/data.

Copy those text files to extras/ERC/data for the MyGame project, and then you can use all of the ERC custom blocks with the db data.

@TheGreatEater
I have built  a FF style turn based battle system. Actually it uses the ERC kit very little, most of the actual battle system stuff is Stencyl alone.

@Siren Games
If you are interested in suggestions at all at this point, here are some.
The db is great in that it does a lot of the heavy lifting, but it is not a magic hammer that drives all nails.
So you still have to do some db-like things in Stencyl to actually make the game.
For example, a character or weapon in the db has no "actor" field. So I still have to track in stencyl which actors should be drawn for which character, weapon, etc.
I am doing this today by using some list Game Attributes, where 0 is the # in the ERC database, 1 is the actor, etc., and then I fetch the value by index depending what I what. But it's not as nice as it could be, and hopefully doesn't burn me when I end up with a few hundred Game Attributes.
Which leads me to what my actual suggestion would be, which is to be able to define which attributes are on which entity type. If I could do that, I could associate an actor, and if I'm making a more modern RPG instead of Fantasy, I could have an ammo field or a weight field instead of Magic. I could give characters skills, etc.

Nice job, hope the project isn't dead. But even if it is, there's enough there I think to build yourself a real RPG if you are willing to step through a couple of hoops as mentioned above.

ValPerret

  • Posts: 4
It's been 1 year since last reply :/

Are you still updating this?


In Version 3.4 Build 9300 I get this (Photo 1) when I open the project.
When I click "Upgrade and Continue" I get this (Photo 2), then this (Photo 3).

After that, when I run the game in Flash (Player) and click [Escape] I get this (Photo 4, Photo 5).


Any help?

Spoky03

  • Posts: 1
It's been 1 year since last reply :/

Are you still updating this?


In Version 3.4 Build 9300 I get this (Photo 1) when I open the project.
When I click "Upgrade and Continue" I get this (Photo 2), then this (Photo 3).

After that, when I run the game in Flash (Player) and click [Escape] I get this (Photo 4, Photo 5).


Any help?


I have got same problem

NickamonPoppytail

  • Posts: 1087
Is anyone still working on this extension?
Upcoming Projects
Poppytail 5 and Pixeltail: Fifth and sixth main instalments in Poppytail series. A Game About Trimming Hedges: Final Version: An updated version of the original AGATH; also canon to the Poppytail series. Easter Fun 2: A sequel to the original Easter Fun. One Million: Last-one-standing style small project; also canon to the Poppytail series. The Poppytales: Hand-drawn spin-off bullet-hell RPG using characters from all my other book and game projects. Not canon to the Poppytail series. Skies n' Fall: Boss rush shooter sequel to Rise n' Brawl.

NickamonPoppytail

  • Posts: 1087
It's been 1 year since last reply :/

Are you still updating this?


In Version 3.4 Build 9300 I get this (Photo 1) when I open the project.
When I click "Upgrade and Continue" I get this (Photo 2), then this (Photo 3).

After that, when I run the game in Flash (Player) and click [Escape] I get this (Photo 4, Photo 5).


Any help?


I have got same problem

This may be because the extension is no longer compatible with current versions of Stencyl.
Upcoming Projects
Poppytail 5 and Pixeltail: Fifth and sixth main instalments in Poppytail series. A Game About Trimming Hedges: Final Version: An updated version of the original AGATH; also canon to the Poppytail series. Easter Fun 2: A sequel to the original Easter Fun. One Million: Last-one-standing style small project; also canon to the Poppytail series. The Poppytales: Hand-drawn spin-off bullet-hell RPG using characters from all my other book and game projects. Not canon to the Poppytail series. Skies n' Fall: Boss rush shooter sequel to Rise n' Brawl.

Siren Games

  • *
  • Posts: 102
Sorry everyone, but no, this extension is no longer being worked on.  I realize we had been giving some false hope unintentionally, but since we haven't even touched this in over a year I think I can officially declare it abandoned.

If anyone is interested in working from what we had I'm sure I can get in touch with the programmer on the project and get you access to whatever we have.

Sorry to any disappointed Stencylers out there. Good luck on your future game dev endeavors and merry Christmas.

squeeb

  • Posts: 1547
Sure! Maybe post what you have and someone can pick up where you left off?

imancol

  • Posts: 3
Could I release the Project ?. Maybe it will be very helpful.

squeeb

  • Posts: 1547
Id love to use whatever is left of the extension.  Anyone have a copy?

SonLight

  • Posts: 2
is there any way to help me? I am using the extension. How can i make it to where after the battle in transitions to the next battle or should i say the mini map.